API reference › Requests › Provider portal

Retrieve a single request assignment slot by ID

GET /v1/portal/provider/requests/assignment-slot/{id}

Scope
requests:read
Roles
service-provider

Returns details of assignment time slots including service details, service summary, and addresses.

Parameters

Path parameters

NameTypeDescription
id requiredstring

The ID of the assignment entry

Example ASG-JSPYP1.

Every call also sends Authorization and X-Tenant-ID; see Getting started.

Example request

Shell
curl "https://api.fetchfido.ai/v1/portal/provider/requests/assignment-slot/{id}" \
  -H "Authorization: Bearer $FIDO_API_KEY" \
  -H "X-Tenant-ID: $FIDO_TENANT_ID"

Try it

Responses

200 Assignment time slot retrieved successfully

Assignment time slot retrieved successfully

JSON
{
  "success": true,
  "message": "Assignment time slot retrieved.",
  "data": [
    {
      "startDate": "2026-01-15",
      "endDate": "2026-01-15",
      "slots": [
        {
          "slotId": 97,
          "startTime": "12:00 PM",
          "endTime": "1:00 PM",
          "serviceDetails": [
            null
          ],
          "serviceTypeSummary": [
            null
          ],
          "address": {
            "onsite": null,
            "remote": null
          }
        }
      ]
    }
  ]
}
Response fields (24)

3 top-level fields; 1 hold nested fields, listed below.

FieldTypeDescription
successboolean

Example true.

messagestring

Example Assignment time slot retrieved..

dataarray of object (21 nested)

Nested fields

data 21 fields
FieldTypeDescription
data[].startDatestring

Example 2026-01-15.

data[].endDatestring

Example 2026-01-15.

data[].slotsarray of object
data[].slots[].slotIdinteger

Example 97.

data[].slots[].startTimestring

Example 12:00 PM.

data[].slots[].endTimestring

Example 1:00 PM.

data[].slots[].serviceDetailsarray of object
data[].slots[].serviceDetails[].idinteger

Example 117.

data[].slots[].serviceDetails[].assignmentMethodstring

Example accept.

data[].slots[].serviceDetails[].statusstring

Example pending.

data[].slots[].serviceDetails[].locationtypeobject
data[].slots[].serviceDetails[].serviceTypeobject
data[].slots[].serviceTypeSummaryarray of object
data[].slots[].serviceTypeSummary[].serviceTypeIdinteger

Example 1.

data[].slots[].serviceTypeSummary[].serviceTypeNamestring

Example ASL.

data[].slots[].serviceTypeSummary[].requiredinteger

Example 2.

data[].slots[].serviceTypeSummary[].assignedinteger

Example 0.

data[].slots[].serviceTypeSummary[].statusstring

Example not filled.

data[].slots[].addressobject
data[].slots[].address.onsiteobject
data[].slots[].address.remoteobject
401 Not signed in

Missing, invalid or expired API key.

JSON
{
  "success": false,
  "message": "Invalid API key. Org and user tier keys must send an X-Tenant-ID header naming the organization the key was issued for.",
  "errors": null,
  "code": "API_KEY_MISSING"
}
Response fields (4)
FieldTypeDescription
successboolean

Example false.

messagestring

Example Invalid API key. Org and user tier keys must send an X-Tenant-ID header naming the organization the key was issued for..

errorsany or null

Null on this status.

codestring

Machine-readable reason, for branching on in client code.

One of: API_KEY_MISSING, API_KEY_INVALID, API_KEY_EXPIRED. Example API_KEY_MISSING.

403 Not allowed

Scope, tenant, IP allow-list or RBAC check failed.

JSON
{
  "success": false,
  "message": "You don't have permission to access this endpoint. This API key is missing the 'requests:read' scope.",
  "errors": null,
  "code": ""
}
Response fields (4)
FieldTypeDescription
successboolean

Example false.

messagestring

Example You don't have permission to access this endpoint. This API key is missing the 'requests:read' scope..

errorsany or null

Null on this status.

codestring

Always empty on this status.

Example .

404 Not found

Assignment slot not found

JSON
{
  "success": false,
  "message": "Assignment slot not found.",
  "errors": null
}
Response fields (3)
FieldTypeDescription
successboolean

Example false.

messagestring

Example Assignment slot not found..

errorsstring
429 Too many requests

Rate limit exceeded. See Retry-After.

JSON
{
  "success": false,
  "message": "You've exceeded this API key's rate limit of 120 requests per minute. Try again in 37 seconds.",
  "errors": null,
  "code": "RATE_LIMITED"
}
Response fields (4)
FieldTypeDescription
successboolean

Example false.

messagestring

Example You've exceeded this API key's rate limit of 120 requests per minute. Try again in 37 seconds..

errorsany or null

Null on this status.

codestring

Machine-readable reason, for branching on in client code.

One of: RATE_LIMITED. Example RATE_LIMITED.

500 Server error

Server error

JSON
{
  "success": false,
  "message": "Something went wrong!",
  "errors": "Unexpected error occurred."
}
Response fields (3)
FieldTypeDescription
successboolean

Example false.

messagestring

Example Something went wrong!.

errorsstring or null

Null in production. The exception message only when the application runs with debug on.

Example Unexpected error occurred..